title: C4C Custom Role Package1
description: |
    A custom role with specified permissions for Compute Engine, Resource Manager, IAM, Storage,  BigQuery, Cloud Functions, Pub/Sub, and  Monitoring for Cross4Advice, Cross4Finops and Cross4Security.
stage: ALPHA
includedPermissions:
- bigquery.datasets.create
- bigquery.datasets.get
- bigquery.jobs.create
- bigquery.tables.export
- bigquery.tables.get
- bigquery.tables.getData
- cloudfunctions.functions.invoke
- compute.instances.setLabels
- compute.instances.update
- compute.regions.list
- cloudsql.instances.get
- cloudsql.instances.update
- iam.roles.get
- pubsub.subscriptions.getIamPolicy
- pubsub.topics.getIamPolicy
- resourcemanager.projects.getIamPolicy
- run.jobs.run
- run.routes.invoke
- run.services.create
- run.services.delete
- run.services.get
- run.services.getIamPolicy
- run.services.list
- run.services.update
- storage.buckets.getIamPolicy
- storage.buckets.setIamPolicy
- storage.buckets.update